"""initial

Revision ID: e2b4bedc6444
Revises: 
Create Date: 2023-09-15 10:14:23.157704

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'e2b4bedc6444'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('fastapi_gateway_microservices',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('base_url', sa.String(), nullable=True),
    sa.Column('is_active', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_fastapi_gateway_microservices_base_url'), 'fastapi_gateway_microservices', ['base_url'], unique=True)
    op.create_index(op.f('ix_fastapi_gateway_microservices_id'), 'fastapi_gateway_microservices', ['id'], unique=False)
    op.create_index(op.f('ix_fastapi_gateway_microservices_name'), 'fastapi_gateway_microservices', ['name'], unique=True)
    op.create_table('fastapi_gateway_scopes',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('path', sa.String(), nullable=True),
    sa.Column('microservice_path', sa.String(), nullable=True),
    sa.Column('is_active', sa.Boolean(), nullable=True),
    sa.Column('dependencies', sa.JSON(), nullable=True),
    sa.Column('microservice_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['microservice_id'], ['fastapi_gateway_microservices.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_fastapi_gateway_scopes_id'), 'fastapi_gateway_scopes', ['id'], unique=False)
    op.create_index(op.f('ix_fastapi_gateway_scopes_name'), 'fastapi_gateway_scopes', ['name'], unique=True)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_fastapi_gateway_scopes_name'), table_name='fastapi_gateway_scopes')
    op.drop_index(op.f('ix_fastapi_gateway_scopes_id'), table_name='fastapi_gateway_scopes')
    op.drop_table('fastapi_gateway_scopes')
    op.drop_index(op.f('ix_fastapi_gateway_microservices_name'), table_name='fastapi_gateway_microservices')
    op.drop_index(op.f('ix_fastapi_gateway_microservices_id'), table_name='fastapi_gateway_microservices')
    op.drop_index(op.f('ix_fastapi_gateway_microservices_base_url'), table_name='fastapi_gateway_microservices')
    op.drop_table('fastapi_gateway_microservices')
    # ### end Alembic commands ###
